// src/testsuite/test-stepforward.cc - Copyright 2005, 2006, University
//               of Padova, dept. of Pure and Applied
//               Mathematics
//
// This file is part of SGPEMv2.
//
// This is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2 of the License, or
// (at your option) any later version.
//
// SGPEMv2 is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with SGPEMv2; if not, write to the Free Software
// Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA 02110-1301 USA

#ifndef POLICY_MANAGER_HH
#define POLICY_MANAGER_HH 1

#include "prrpolicy.hh"
/*
#include <glibmm/module.h> // ??
#include <cassert>
#include <string>
#include "config.h"
#include "gettext.h"
#include "glibmm/ustring.h"
#include <vector>
#include <iostream>
#include "backend/static_process.hh"
#include "backend/observed_subject.hh"
#include "backend/ready_queue.hh"
#include "backend/dynamic_schedulable.hh"
#include "templates/smartp.tcc"
#include "backend/user_interrupt_exception.hh"
#include "backend/policy.hh"
#include "backend/slice.hh"
#include "prrpolicy.cc"
#include <iostream>
*/

namespace sgpem
{
    /** A policyManager stub, provides access to the PRRPolicy.
     */
    class PolicyManager
    {
    public:

        PolicyManager();

        static PolicyManager&
        get_registered_manager();

        virtual Policy&
        get_policy();

        virtual void
        init();

        virtual
        ~PolicyManager();

    private:
        static PolicyManager* _registered;
    };
}

#endif
